Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 471970 - =sci-astronomy/wcstools-3.8.7: configure.ac:4: error: 'AM_CONFIG_HEADER': this macro is obsolete
Summary: =sci-astronomy/wcstools-3.8.7: configure.ac:4: error: 'AM_CONFIG_HEADER': thi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci Astronomy Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-06-01 03:07 UTC by Jason Mours
Modified: 2013-06-11 17:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
aclocal.out (aclocal.out,455 bytes, text/plain)
2013-06-01 03:07 UTC, Jason Mours
Details
build.log (build.log,2.65 KB, application/octet-stream)
2013-06-01 03:07 UTC, Jason Mours
Details
emerge-info (emerge-info,16.43 KB, text/plain)
2013-06-01 03:08 UTC, Jason Mours
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mours 2013-06-01 03:07:17 UTC
Another : configure.ac:4: error: 'AM_CONFIG_HEADER': this macro is obsolete : Error in sci-astronomy/wcstools-3.8.7. :

***** aclocal *****
***** PWD: /var/tmp/portage/sci-astronomy/wcstools-3.8.7/work/wcstools-3.8.7
***** aclocal

configure.ac:4: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:4: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1

: Posting build.log

Reproducible: Always
Comment 1 Jason Mours 2013-06-01 03:07:31 UTC
Created attachment 349796 [details]
aclocal.out
Comment 2 Jason Mours 2013-06-01 03:07:47 UTC
Created attachment 349798 [details]
build.log
Comment 3 Jason Mours 2013-06-01 03:08:07 UTC
Created attachment 349800 [details]
emerge-info
Comment 4 Sébastien Fabbro (RETIRED) gentoo-dev 2013-06-11 17:45:20 UTC
  07 Jun 2013; Sébastien Fabbro <bicatali@gentoo.org> -wcstools-3.8.4.ebuild,
  -wcstools-3.8.5.ebuild, -wcstools-3.8.6.ebuild,
  files/wcstools-3.8.3-autotools.patch, wcstools-3.8.7.ebuild:
  Fixed obsolete m4 macro (bug #471970), removed old